# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               rsound
Version:            1.1
%define soname      3
Release:            pm151.3.2
Summary:            Multi-platform, simple PCM audio server and client
Source:             https://github.com/downloads/Themaister/RSound/rsound-1.1.tar.gz
Patch1:             rsound-lib64.patch
URL:                https://github.com/Themaister/RSound
Group:              System/Sound Daemons
License:            GPL-3.0+
BuildRequires:      alsa-devel
BuildRequires:      libao-devel
BuildRequires:      portaudio-devel
BuildRequires:      openal-soft-devel
BuildRequires:      libpulse-devel
BuildRequires:      libsamplerate-devel
BuildRequires:      jack-devel
BuildRequires:      pkgconfig
Requires:           librsound%{soname} = %{version}

%description
RSound is a multi-platform, simple PCM audio server and client.

This package contains the runtime environment: the audio server as well as the
client.

%package -n librsound%{soname}
Summary:            Multi-platform, simple PCM audio server and client
Group:              System/Libraries

%description -n librsound%{soname}
RSound is a multi-platform, simple PCM audio server and client.

This package contains the runtime libraries.

%package -n librsound-devel
Summary:            Multi-platform, simple PCM audio server and client
Group:              Development/Libraries/C and C++
Obsoletes:          librsound-devel-static
Requires:           librsound%{soname} = %{version}

%description -n librsound-devel
RSound is a multi-platform, simple PCM audio server and client.

This package contains the development environment.

%prep
%autosetup -p1

%build
./configure \
    --enable-alsa \
    --enable-oss \
    --enable-libao \
    --enable-portaudio \
    --enable-openal \
    --enable-pulse \
    --enable-samplerate \
    --disable-roar \
    --disable-muroar \
    --enable-jack \
    --enable-syslog \
    --prefix="%{_prefix}"

# we want verbose builds
find . -type f -name Makefile | while read f; do
    sed -i 's|@$(CC)|$(CC)|' "$f"
done

%make_build CFLAGS="%{optflags} -std=gnu99" libdir=%{_libdir} includedir=%{_includedir} mandir=%{_mandir}

%install
%make_install libdir=%{_libdir} includedir=%{_includedir} mandir=%{_mandir}
find %{buildroot} -type f -name "*.la" -delete -print
find %{buildroot} -type f -name "*.a" -delete -print

%post   -n librsound%{soname} -p /sbin/ldconfig
%postun -n librsound%{soname} -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog DOCUMENTATION README
%license COPYING
%{_bindir}/rsd
%{_bindir}/rsdplay
%doc %{_mandir}/man1/rsd.1*
%doc %{_mandir}/man1/rsdplay.1*

%files -n librsound%{soname}
%{_libdir}/librsound.so.%{soname}
%{_libdir}/librsound.so.%{soname}.*

%files -n librsound-devel
%{_includedir}/rsound.h
%{_libdir}/librsound.so
%{_libdir}/pkgconfig/rsound.pc

%changelog
* Thu Jul 19 2012 pascal.bleser@opensuse.org
- build with optflags
* Thu Jul 19 2012 pascal.bleser@opensuse.org
- add patch on < 11.4 to use free() instead of jack_free() (jack too old there)
* Thu Jul 19 2012 pascal.bleser@opensuse.org
- initial version (1.1)
